package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.OrgTypeMapper;
import com.sa.ibiz.demo.demo.domain.OrgType;
import com.sa.ibiz.demo.demo.service.OrgTypeService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.OrgTypeSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[OrgType] 服务对象接口实现
 */
@Service
public class OrgTypeServiceImpl extends ServiceImplBase<OrgTypeMapper, OrgType> implements OrgTypeService{


    @Resource
    private OrgTypeMapper orgtypeMapper;


    @Override
    public boolean create(OrgType et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(OrgType et){
        this.beforeUpdate(et);
		this.orgtypeMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(OrgType et){
		return et.getOrgtypeid();  
    }

    @Override
    public boolean getDraft(OrgType et)  {
            return true;
    }

	public List<OrgType> listDefault(OrgTypeSearchFilter filter) {
		return orgtypeMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<OrgType> searchDefault(OrgTypeSearchFilter filter) {
		return orgtypeMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return orgtypeMapper.selectRow(sql);
    }

 }